%define mgkdir	ImageMagick

Summary:	An X application for displaying and manipulating images
Name:		ImageMagick
Version:	5.3.0
Release:	4mdk
License:	OpenSource
Group:		Graphics
BuildRequires:	XFree86-devel libjpeg-devel libtiff-devel zlib-devel bzip2
BuildRequires:	libpng-devel freetype2-devel perl-devel libwmf-devel
BuildRequires:	libjbig-devel ghostscript liblcms-devel
%ifarch %ix86
BuildRequires:	HDF
%endif
%ifnarch ppc
BuildRequires:	sane
%endif

Source:		ImageMagick-%{version}.tar.bz2
Source1:	ImageMagick.pdf.bz2
Patch0:		ImageMagick-5.1.1-qcontrolq.patch.bz2
Patch1:		ImageMagick-5.2.1-tv.patch.bz2
Patch11:	ImageMagick-5.2.7-perlmagick.patch.bz2
Url:		http://www.imagemagick.org/
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Prereq:		/sbin/ldconfig
Requires:	%{name}-lib = %{version}-%{release}
Requires:	freetype2 ghostscript

%description
ImageMagick is a powerful image display, conversion and manipulation tool. It
runs in an X session. With this tool, you can view, edit and display a variety
of image formats.

This package installs the necessary files to run ImageMagick.


%package lib
Summary:	Modules for ImageMagick
Group:		Graphics

%description lib
These are ImageMagicks modules.

%package devel
Summary:	Static libraries and header files for ImageMagick app development
Group:		Development/C
Requires:	ImageMagick = %{version}-%{release}

%description devel
If you want to create applications that will use ImageMagick code or APIs,
you'll need to install these packages as well as ImageMagick. These additional
packages aren't necessary if you simply want to use ImageMagick, however.

ImageMagick-devel is an addition to ImageMagick which includes static libraries
and header files necessary to develop applications. 


%package -n perl-Magick
Summary:	Libraries and modules for access to ImageMagick from perl
Group:		Development/Perl
Requires:	ImageMagick = %{version}-%{release}

%description -n perl-Magick
This is the ImageMagick perl support package. It includes perl modules 
and support files for access to ImageMagick library from perl.

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .tv_ln
%patch11 -p1 -b .perlmgk
bzcat %{SOURCE1} > $RPM_BUILD_DIR/%{name}-%{version}/ImageMagick.pdf

%build
LDFLAGS="-L$RPM_BUILD_DIR/%{name}-%{version}/magick/.libs" \
CFLAGS="$RPM_OPT_FLAGS " \
CXXFLAGS="$RPM_OPT_FLAGS" \
	./configure --prefix=%{_prefix} \
		    --mandir=%{_mandir} \
		    --with-modules \
		    --enable-shared \
		    --with-magick-plus-plus=yes \
		    --with-xml=yes \
		    --with-threads \
		    --with-perl \
		    --with-jbig \
%ifarch %ix86
		    --with-hdf \
%endif
#		    --enable-lzw
# LZW compression is not enabled due to Unisys patent.
%make

%install
make install PREFIX=$RPM_BUILD_ROOT%{_prefix} \
             prefix=$RPM_BUILD_ROOT%{_prefix} \
	     mandir=$RPM_BUILD_ROOT%{_mandir}

perl -pi -e \
        's|-L/.*magick/\.libs ||;\
        s|/[^ ]*libjpeg\.la|-ljpeg|;\
        s|/[^ ]*libMagick\.la|-lMagick|' \
        $RPM_BUILD_ROOT%{_libdir}/%{mgkdir}/modules/coders/*.la

perl -pi -e \
        's|-L/.*magick/\.libs ||' \
        $RPM_BUILD_ROOT%{_bindir}/Magick-config              

install -c -m 644 delegates/delegates.mgk \
	$RPM_BUILD_ROOT%{_libdir}/%{mgkdir}/modules/coders

# Add correct perlMagick doc:
cat www/perl.html | sed -e "s#\.\./images/##g" > perl-Magick.html

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc www images
%doc Copyright.txt README.txt ImageMagick.html ImageMagick.pdf
%attr(755,root,root) %{_libdir}/*.so.*
%{_bindir}/animate
%{_bindir}/combine
%{_bindir}/convert
%{_bindir}/display
%{_bindir}/identify
%{_bindir}/import
%{_bindir}/mogrify
%{_bindir}/montage
%dir %{_libdir}/%{mgkdir}
%dir %{_libdir}/%{mgkdir}/modules
%dir %{_libdir}/%{mgkdir}/modules/coders
%{_libdir}/%{mgkdir}/modules/coders/*.so
%{_libdir}/%{mgkdir}/modules/coders/*.la
%{_libdir}/%{mgkdir}/modules/coders/*.mgk
%{_mandir}/man1/*
%{_mandir}/man4/*

%files lib
%defattr(-,root,root)
%dir %{_datadir}/%{mgkdir}
%{_datadir}/%{mgkdir}/*

%files devel
%defattr(-,root,root)
%doc www/api.html www/api/ 
%{_libdir}/%{mgkdir}/modules/coders/*.a
%{_bindir}/Magick-config
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/magick
%{_libdir}/*.so

%files -n perl-Magick
%defattr(-,root,root)
%doc perl-Magick.html images/examples.jpg images/home.png
%doc images/magick_small.png images/right_triangle.png
%{_libdir}/perl5/man/*/*
%{perl_sitearch}/*

%changelog
* Tue Mar 27 2001 David BAUDENS <baudens@mandrakesoft.com> 5.3.0-4mdk
- PPC: build even if sane is not installed

* Tue Mar 08 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.3.0-3mdk
- fixed coders/*.la files.

* Wed Mar 07 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.3.0-2mdk
- added liblcms in BuildRequires.
- obsoleted camille patch for delegates.mgk.

* Mon Mar 05 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 5.3.0-1mdk
- Version 5.3.0.
- Really include lcms support.

* Wed Feb 21 2001 David BAUDENS <baudens@mandrakesoft.com> 5.2.9-3mdk
- Fix build on PPC

* Wed Feb 21 2001 Camille <camille@mandrakesoft.com> 5.2.9-2mdk
- add /usr/lib/ImageMagick/modules/coders/delegates.mgk

* Tue Feb 13 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.2.9-1mdk
- release 5.2.9.

* Mon Jan 30 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.2.8-1mdk
- release 5.2.8.
- removed ImageMagick-5.2.7-ps.patch (now merged), and ltdl patch.
- removed option --enable-16bit-pixel in configure, now default.

* Wed Jan 24 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.2.7-5mdk
- added liblcms.

* Tue Jan 24 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.2.7-4mdk
- added Imagemagick-5.2.7-ps.patch from ImageMagick CVS to fix the
  Camille's problems.
- added patch11 for perl-magick linking.

* Fri Jan 19 2001 David BAUDENS <baudens@mandrakesoft.com> 5.2.7-3mdk
- Fix (once again) build on PPC
- Don't "BuildRequires: " things which are not designed for PPC
- Spec clean up

* Tue Jan 16 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.2.7-2mdk
- fixed problems with EPS delegates.

* Sun Jan 14 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.2.7-1mdk
- new release.
- added support for HDF5, lcms, jbig formats.
- more BuildRequires.

* Sun Dec 17 2000 David BAUDENS <baudens@mandrakesoft.com> 5.2.6-2mdk
- Fix again build for PPC
- bzip2 patches
- Really use optimizations

* Tue Dec 05 2000 Geoffrey lee <snailtalk@mandrakesoft.com> 5.2.6-1mdk
- new and shiny version bumped into cooker.
- remove the self compile patch.
- build with freetype2.

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 5.2.5-3mdk
- Fix URL

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 5.2.5-2mdk
- Fix build for PPC

* Tue Oct 31 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 5.2.5-1mdk
- s/5.2.4/5.2.5/

* Sun Oct 15 2000 Geoffrey Lee <snailtlak@mandrakesoft.com> 5.2.4-1mdk
- s/5.2.3/5.2.4/ aka new shiny ImageMagick.

* Mon Oct  2 2000 Frederic Lepied <flepied@mandrakesoft.com> 5.2.3-3mdk
- don't BuildRequires on ImageMagick-devel.

* Wed Sep 20 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.2.3-2mdk
- build release

* Mon Aug 21 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 5.2.3-1mdk
- s|5.2.2|5.2.3|.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 5.2.2-6mdk
- automatically added BuildRequires

* Thu Aug  3 2000 Pixel <pixel@mandrakesoft.com> 5.2.2-5mdk
- put *.la back to main package (otherwise doesn't work!)
- use %%{perl_sitearch}
- /usr/lib/ImageMagick and subdirs now belongs to main package

* Fri Jul 28 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 5.2.2-4mdk
- put module *.so files in the main package while *.la and *.a go to devel

* Tue Jul 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.2.2-3mdk
- split out modules in -lib packages for lord rpmlint (gl scks)

* Mon Jul 24 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 5.2.2-2mdk
- build withmodules (titiscks)
- license is opensource
- should be ./configure --prefix=_prefix not /usr (titiscks)

* Mon Jul 24 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.2.2-1mdk
- new release

* Fri Jul 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.2.1-1mdk
- new release
- BM (this one give me an hard time :-( thanks for the gift)

* Thu Jul 06 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.2.0-6mdk
- since Lord Chmou've upload my test rpm without asking me before whereas it
  was bogus, i make a new release.
  Language lab, lesson 6, repeat after me : chmou sucks :-)

* Wed Jul 05 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.2.0-5mdk
- built against new libbz2

* Wed Jun 28 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 5.2.0-4mdk
- Changed i386 into %{_arch} in filelist

* Fri Jun 23 2000 Vincent Saugey <vince@mandrakesoft.com> 5.2.0-3mdk
- Correct %file of perl-Magick no more empty pod.

* Thu Jun 22 2000 Vincent Saugey <vince@mandrakesoft.com> 5.2.0-2mdk
- Correct local file owner in perl-Magick.

* Wed Jun  7 2000 Vincent Saugey <vince@mandrakesoft.com> 5.2.0-1mdk
- Up to 5.2.0

* Wed May 10 2000 Stefan Siegel <siegel@linux-mandrake.com>
- Split ImageMagick-devel in ImageMagick-devel and perl-Magick.
- moved Magick-config to ImageMagick-devel.

* Wed Apr 26 2000 Vincent Saugey <vince@mandrakesoft.com> 5.1.1-7mdk
- Change prefix to /usr.
- Update to second version 5.1.1 of wizard.dupont.
- Move include files in %{_includedir}/magick.
- Remove entry menu for display (needs a terminaux stdin)
- Now, compile alone (with good librairie in rpm build dir)

* Wed Apr 19 2000 Vincent Saugey <vince@mandrakesoft.com> 5.1.1-6mdk
- Doc file slipt into the two package.

* Mon Apr 17 2000 Vincent Saugey <vince@mandrakesoft.com> 5.1.1-5mdk
- Patch ltconfig to remove rpath.

* Fri Apr  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.1.1-4mdk
- Really apply patch.

* Thu Apr  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.1.1-3mdk
- Prereq: /sbin/ldconfig.
- Add menu.
- Adjust groups.
- No need to do Ctrl-q to quit (just q or c-q if you really want).

* Wed Feb 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.1.1-2mdk
- Recompile ImageMagick-devel with the right 5.1.1 devel.

* Thu Jan 13 2000 Vincent Saugey <vince@mandrakesoft.com>
- update to 5.1.0
- Add documentation ImageMagick.pdf

* Mon Nov 01 1999 Vincent Saugey <vincent@mandrakesoft.com>
- 4.2.9
- ImageMagick now supports native blob support for most of the image formats.  
- Enable accented letters in text for Postscript fonts
- Broke up some of the large source modules into smaller more managable modules. 
- Added methods CreateImage and GetPixels to make using float arrays of pixels easier.
- Fixed GS delegate to get around a Ghostscript bug for device pnmraw (bug report by Thomas Baker).        
- Added ImageMagick User's Guide to the distribution. See ImageMagick/docs directory.
- Drawing primitives are antialiased now 
- Several API changes were made to accomodate Magick++, the C++ ImageMagick API wrapper 
- Several API changes were made to make the ImageMagick API thread safe. 
- Many others changes

* Wed Jun 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Handle SMP compilation.
- 4.2.7.
- Remove unused patch.

* Tue May 04 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 4.2.3
- Mandrake adaptions
- add de locale

* Fri Apr 09 1999 Cristian Gafton <gafton@redhat.com>
- include the perl man pages as well

* Tue Apr 06 1999 Michael K. Johnson <johnsonm@redhat.com>
- remove --enable-16bit because it damages interoperability

* Mon Apr  5 1999 Bill Nottingham <notting@redhat.com>
- update to 4.2.2
- change ChangeLog to refer to actual dates. 
- strip binaries

* Thu Apr  1 1999 Bill Nottingham <notting@redhat.com>
- add more files. Oops.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Wed Mar 10 1999 Bill Nottingham <notting@redhat.com>
- version 4.2.1

* Tue Jan 19 1999 Michael K. Johnson <johnsonm@redhat.com>
- changed group

* Tue Jan 19 1999 Cristian Gafton <gafton@redhat.com>
- hacks to make it work with the new perl
- version 4.1.0 (actually installs the sonames as 4.0.10... doh!)
- make sure the libraries have the x bit on

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 21 1998 Cristian Gafton <gafton@redhat.com>
- updated to 4.0.5

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- updated to 4.0.4
- added BuildRoot

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- updated from 3.8.3 to 3.9.1
- removed PNG patch (appears to be fixed)

* Wed Oct 15 1997 Erik Troan <ewt@redhat.com>
- build against new libpng

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Mar 20 1997 Michael Fulbright <msf@redhat.com>
- updated to version 3.8.3.
- updated source and url tags.
